Bug 459945 - Review Request: pfstmo - PFS tone mapping operators
Review Request: pfstmo - PFS tone mapping operators
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: pfstools
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-24 22:56 EDT by Ulrich Drepper
Modified: 2009-02-14 23:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-14 23:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2008-08-24 22:56:39 EDT
Spec URL: http://people.redhat.com/drepper/pfstmo.spec
SRPM URL: http://people.redhat.com/drepper/pfstmo-1.3-1.fc9.src.rpm
Description:

The pfstmo package contains the implementation of state-of-the-art tone
mapping operators. The motivation here is to provide an implementation of
tone mapping operators suitable for convenient processing of both static
images and animations. 

The package is used together with the PFS high dynamic range image tools.
Comment 1 Ulrich Drepper 2008-09-03 10:28:00 EDT
Anybody going to volunteer?
Comment 2 Ulrich Drepper 2009-01-02 18:34:27 EST
I've updated the code to the latest upstream version.

Spec URL: http://people.redhat.com/drepper/pfstmo.spec
SRPM URL: http://people.redhat.com/drepper/pfstmo-1.3.2-1.fc10.src.rpm
Comment 3 Ulrich Drepper 2009-01-06 03:43:51 EST
Please review this.  pfstools is now in Fedora.  It is a prerequisite for this package and pfstools alone isn't really useful without pfscalibration and pfstmo.
Comment 4 manuel wolfshant 2009-01-06 09:49:51 EST
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz is not correct, the correct one is
http://downloads.sourceforge.net/pfstools/%{name}-%{version}.tar.gz 

Changelog is a incorrect, given that the package is 1.3.2-1

The rest seems OK, wait for a full review in a while
Comment 5 manuel wolfshant 2009-01-06 10:01:10 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:
pfstmo.x86_64: W: incoherent-version-in-changelog 1.3-1 ['1.3.2-1.fc11', '1.3.2-1']
=> see note 1
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [!] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 8662863c5bd3acdfb83eeef26b6ff5907b5531ec pfstmo-1.3.2.tar.gz
=> Source0 is incorrect, see Note 2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Final Notes ===
1. correct changelog should mention version 1.3.2-1
2. Source0 should be http://downloads.sourceforge.net/pfstools/%{name}-%{version}.tar.gz
3. Timestamps of manual pages are not preserved


please fix the above problems and we are good to go
Comment 6 Ulrich Drepper 2009-01-06 14:34:02 EST
I have no idea what you want the man page handling to look like.  It's done like in every other package I know.

The rest is fixed and I fixed a few problems in the code itself.

New files, same name:

Spec URL: http://people.redhat.com/drepper/pfstmo.spec
SRPM URL: http://people.redhat.com/drepper/pfstmo-1.3.2-1.fc10.src.rpm
Comment 7 manuel wolfshant 2009-01-06 15:02:46 EST
Just use 
 make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
and you will notice that the packaged man pages will change from:

-rw-r--r--    1 root    root              600 Jan  6 16:38 /usr/share/man/man1/pfstmo_drago03.1.gz
-rw-r--r--    1 root    root              808 Jan  6 16:38 /usr/share/man/man1/pfstmo_durand02.1.gz
-rw-r--r--    1 root    root             1232 Jan  6 16:38 /usr/share/man/man1/pfstmo_fattal02.1.gz
-rw-r--r--    1 root    root             1440 Jan  6 16:38 /usr/share/man/man1/pfstmo_mantiuk06.1.gz
-rw-r--r--    1 root    root             4087 Jan  6 16:38 /usr/share/man/man1/pfstmo_mantiuk08.1.gz
-rw-r--r--    1 root    root             1123 Jan  6 16:38 /usr/share/man/man1/pfstmo_pattanaik00.1.gz
-rw-r--r--    1 root    root              904 Jan  6 16:38 /usr/share/man/man1/pfstmo_reinhard02.1.gz
-rw-r--r--    1 root    root              665 Jan  6 16:38 /usr/share/man/man1/pfstmo_reinhard05.1.gz

to

-rw-r--r--    1 root    root              600 Jun  9  2006 /usr/share/man/man1/pfstmo_drago03.1.gz
-rw-r--r--    1 root    root              808 Sep  9 20:55 /usr/share/man/man1/pfstmo_durand02.1.gz
-rw-r--r--    1 root    root             1232 Jul 11  2007 /usr/share/man/man1/pfstmo_fattal02.1.gz
-rw-r--r--    1 root    root             1440 Jun 17  2008 /usr/share/man/man1/pfstmo_mantiuk06.1.gz
-rw-r--r--    1 root    root             4087 Aug 22 20:51 /usr/share/man/man1/pfstmo_mantiuk08.1.gz
-rw-r--r--    1 root    root             1123 Jun 14  2007 /usr/share/man/man1/pfstmo_pattanaik00.1.gz
-rw-r--r--    1 root    root              904 Jun 14  2007 /usr/share/man/man1/pfstmo_reinhard02.1.gz
-rw-r--r--    1 root    root              665 Jun 14  2007 /usr/share/man/man1/pfstmo_reinhard05.1.gz

In the future, please be as kind as to increase the release tag each time you modify the spec

Package APPROVED (I'll trust you to modify the make install line before commit)
Comment 8 manuel wolfshant 2009-01-06 15:10:12 EST
Sorry, I have just noticed one little problem. During the build process, the fedora's default gcc -O2 is replaced by gcc -O3
Would you please fix the Makefile ?
Comment 9 manuel wolfshant 2009-01-06 15:14:32 EST
Actually I think that the solution is to patch configure (notice the last line below):

# Check whether --enable-debug was given.
if test "${enable_debug+set}" = set; then
  enableval=$enable_debug; if test "$enable_debug" = "yes" ; then
                     temp_CXXFLAGS=`echo $CXXFLAGS | sed "s/-O./ /; s/-g//"`
                     CXXFLAGS="-g $temp_CXXFLAGS"
                     cat >>confdefs.h <<\_ACEOF
#define DEBUG 1
_ACEOF

                  fi
else
  enable_debug="no"
                     temp_CXXFLAGS=`echo $CXXFLAGS | sed "s/-O./ /; s/-g//"`
                     CXXFLAGS="-O3 $temp_CXXFLAGS"
Comment 10 Ulrich Drepper 2009-01-06 15:25:08 EST
(In reply to comment #8)
> Sorry, I have just noticed one little problem. During the build process, the
> fedora's default gcc -O2 is replaced by gcc -O3
> Would you please fix the Makefile ?

This is no problem.  All the other flags are preserved.  This is code which can benefit from the additional optimization -O3 provides.  Things would be different of the security mechanisms etc are turned off.  But they aren't.
Comment 11 manuel wolfshant 2009-01-06 18:47:20 EST
Well, Lubomir on IRC seems to agree with you, although I have a different opinion

APPROVED
Comment 12 Ulrich Drepper 2009-01-06 21:43:17 EST
New Package CVS Request
=======================
Package Name: pfstmo
Short Description: PFS tone mapping operators
Owners: drepper@redhat.com
Branches: F-9 F-10
InitialCC:
Comment 13 Kevin Fenzi 2009-01-09 00:43:22 EST
cvs done.
Comment 14 Fedora Update System 2009-01-09 02:58:35 EST
pfstmo-1.3.2-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pfstmo-1.3.2-5.fc9
Comment 15 Fedora Update System 2009-01-09 02:58:39 EST
pfstmo-1.3.2-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pfstmo-1.3.2-5.fc10

Note You need to log in before you can comment on or make changes to this bug.